## libhtmlobject-perl 2.27-21

=== debian/changelog ===
libhtmlobject-perl (2.27-21) stable; urgency=low

  * Going stable.

 -- James A. Pattie <james@pcxperience.com>  Fri, 17 Jun 2005 18:21:00 -0500

libhtmlobject-perl (2.27-20) unstable; urgency=low

  * calculator widget improvements and refactoring.

 -- James A. Pattie <james@pcxperience.com>  Tue, 14 Jun 2005 17:25:00 -0500

libhtmlobject-perl (2.27-19) unstable; urgency=low

  * populator widget cleanups - readonly support.

 -- James A. Pattie <james@pcxperience.com>  Tue, 07 Jun 2005 14:42:00 -0500

libhtmlobject-perl (2.27-18) unstable; urgency=low

  * Updated the colorpicker html file.

 -- James A. Pattie <james@pcxperience.com>  Fri, 03 Jun 2005 12:46:00 -0500

libhtmlobject-perl (2.27-17) unstable; urgency=low

  * Adding aliases datePicker/colorPicker.

 -- James A. Pattie <james@pcxperience.com>  Fri, 03 Jun 2005 11:54:00 -0500

libhtmlobject-perl (2.27-16) unstable; urgency=low

  * Fixing the cookies.js bug with createCookie and an empty value.

 -- James A. Pattie <james@pcxperience.com>  Fri, 03 Jun 2005 11:14:00 -0500

libhtmlobject-perl (2.27-15) unstable; urgency=low

  * Updating POD documentation for -WidgetOptions entries.

 -- James A. Pattie <james@pcxperience.com>  Mon, 30 May 2005 15:20:00 -0500

libhtmlobject-perl (2.27-14) unstable; urgency=low

  * -WidgetOptions hash now optional for color-picker.
  * Added the get/setBody(Class,ID,Style,Title) methods for the body tag.

 -- James A. Pattie <james@pcxperience.com>  Fri, 27 May 2005 16:07:00 -0500

libhtmlobject-perl (2.27-13) unstable; urgency=low

  * -Type = searchBox should be implemented, just needs lots of testing.

 -- James A. Pattie <james@pcxperience.com>  Fri, 27 May 2005 14:53:00 -0500

libhtmlobject-perl (2.27-12) unstable; urgency=low

  * -Type = populator should be finished.

 -- James A. Pattie <james@pcxperience.com>  Tue, 12 Apr 2005 12:41:00 -0500

libhtmlobject-perl (2.27-11) unstable; urgency=low

  * -Type = populator is now implemented and testing begun.

 -- James A. Pattie <james@pcxperience.com>  Fri, 08 Apr 2005 18:06:00 -0500

libhtmlobject-perl (2.27-10) unstable; urgency=low

  * Fixing the javascript cookie code to properly encode/decode the name and
    value parts.
  * Documented the available javascript libraries in the Normal module.

 -- James A. Pattie <james@pcxperience.com>  Fri, 08 Apr 2005 15:36:00 -0500

libhtmlobject-perl (2.27-9) unstable; urgency=low

  * Fixing the refresh() code.

 -- James A. Pattie <james@pcxperience.com>  Mon, 28 Mar 2005 15:05:00 -0600

libhtmlobject-perl (2.27-8) unstable; urgency=low

  * Fixing the tz conversion code in calculateDateOffset().

 -- James A. Pattie <james@pcxperience.com>  Fri, 25 Mar 2005 18:21:00 -0600

libhtmlobject-perl (2.27-7) unstable; urgency=low

  * Added displayOnExit support so that the object will display itself, if
    enabled, when it goes out of scope, if it hasn't already been displayed.

 -- James A. Pattie <james@pcxperience.com>  Fri, 25 Mar 2005 16:14:00 -0600

libhtmlobject-perl (2.27-6) unstable; urgency=low

  * Added javascript date methods to bump the datepicker value 1 day forward
    or back per JT's request.

 -- James A. Pattie <james@pcxperience.com>  Fri, 25 Mar 2005 12:59:00 -0600

libhtmlobject-perl (2.27-5) unstable; urgency=low

  * Added date manipulation methods so the setCookie expire value can be
    calculated for the caller. :)

 -- James A. Pattie <james@pcxperience.com>  Fri, 25 Mar 2005 11:43:00 -0600

libhtmlobject-perl (2.27-4) unstable; urgency=low

  * Added the extraInfo output for invalid/missing entries.

 -- James A. Pattie <james@pcxperience.com>  Tue, 08 Mar 2005 13:46:00 -0600

libhtmlobject-perl (2.27-3) unstable; urgency=low

  * Moved the error code from Form to ErrorBase.
  * Broke the generatePickerCode() method out into Widgets.
  * Derived Form and Widgets from ErrorBase.

 -- James A. Pattie <james@pcxperience.com>  Tue, 08 Mar 2005 11:30:00 -0600

libhtmlobject-perl (2.27-2) unstable; urgency=low

  * Make the select box only use the default selection the first time the
    form is displayed.  This allows empty selections to be preserved.

 -- James A. Pattie <james@pcxperience.com>  Tue, 08 Mar 2005 10:22:00 -0600

libhtmlobject-perl (2.27-1) unstable; urgency=low

  * Cookie bug fixes and code optimizations.
  * Removed the _order_ from the data hash and made it be a seperate order
    array to be passed into generate() and/or createTemplate().
  * Added the -CreateTemplate hash to the data form item so the
    createTemplate() method can do extra handling, which for now is the custom
    header row.

 -- James A. Pattie <james@pcxperience.com>  Fri, 04 Mar 2005 10:48:00 -0600

libhtmlobject-perl (2.26-4) stable; urgency=low

  * Updated for release.

 -- James A. Pattie <james@pcxperience.com>  Fri, 18 Feb 2005 16:17:00 -0600

libhtmlobject-perl (2.26-3) unstable; urgency=low

  * Added the _order_ support for the createTemplate() method.

 -- James A. Pattie <james@pcxperience.com>  Fri, 18 Feb 2005 13:04:00 -0600

libhtmlobject-perl (2.26-2) unstable; urgency=low

  * Added more shortcuts for the generate() method. #F=x# stuff.

 -- James A. Pattie <james@pcxperience.com>  Thu, 17 Feb 2005 10:57:00 -0600

libhtmlobject-perl (2.26-1) unstable; urgency=low

  * Added createTemplate() method and testing code.
  * Added htmlobject.css to the web content.

 -- James A. Pattie <james@pcxperience.com>  Tue, 15 Feb 2005 16:22:00 -0600

libhtmlobject-perl (2.25-3) stable; urgency=low

  * Added apache Include removal support on package removal.

 -- James A. Pattie <james@pcxperience.com>  Mon, 03 Jan 2005 15:38:00 -0600

libhtmlobject-perl (2.25-2) stable; urgency=low

  * Added JavaScript support to the FrameSet module. :)

 -- James A. Pattie <james@pcxperience.com>  Fri, 31 Dec 2004 16:17:00 -0600

libhtmlobject-perl (2.25-1) unstable; urgency=low

  * Fixing the required '$self->{formSubmittedVariable}' issue in Form.
  * Added onbeforeunload support.


