=== debian/control ===
Source: libhtmlobject-perl
Section: perl
Priority: optional
Build-Depends-Indep: debhelper (>= 4.0.0), perl (>= 5.8.0-7)
Maintainer: James A. Pattie <james@pcxperience.com>
Standards-Version: 3.6.1

Package: libhtmlobject-perl
Architecture: all
Depends: perl (>= 5.8.0), apache | apache-ssl | apache2, pcx-apache-include (>= 1.2-1), libdata-formvalidator-perl, libdate-manip-perl (>= 5.40)
Description:  Perl extension for HTMLObject
 The HTMLObject provides perl modules for creating HTML documents dynamically.
 See HTMLObject::Base, HTMLObject::Normal, HTMLObject::FrameSet,
 HTMLObject::Template and HTMLObject::Form.
